@import _root_.configuration.Config
@import views.html.helper.CSPNonce
@(title: String, config: Config)(implicit lang: Lang, request: Request[AnyContent])

<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta name="viewport" content="width=device-width, initial-scale=1" />

<title>@title</title>

    <script @{CSPNonce.attr} type="text/javascript">
        var externalConfig={};
        externalConfig.hostAndPort = "@config.hostAndPort";
        externalConfig.host = "@config.host";
        externalConfig.useSso = @config.useSso;
        @config.casServerUrl.map { url =>
            externalConfig.casServerUrl = "@url";
            externalConfig.casLogoutEnable = @config.casLogoutEnable;
        }

        @config.openidServerUrl.map { url =>
            externalConfig.openidServerUrl = "@config.openidServerUrl";
            externalConfig.openidClientId = "@config.openidClientId";
        }
        externalConfig.openidLogoutEnable = @config.openidLogoutEnable;
        var appVersion = "@(server.info.BuildInfo.version)";
        var appVersionNoExtension = appVersion.slice(0, 10);
        var electronRelativeDownloadPath = "xivo-desktop-assistant/" + appVersionNoExtension.slice(0, -3) + "/" + appVersionNoExtension;
    </script>


    <script src="https://@config.host/video/external_api.js" type="text/javascript"></script>
    <script src="@routes.Assets.versioned("javascripts/xccti/js/cti.js")" type="text/javascript"></script>
    <script src="@routes.Assets.versioned("javascripts/xccti/js/callback.js")" type="text/javascript"></script>
    <script src="@routes.Assets.versioned("javascripts/xccti/js/membership.js")" type="text/javascript"></script>
    <script src="@routes.Assets.versioned("javascripts/SIPml-api.js")" type="text/javascript"></script>
    <script src="@routes.Assets.versioned("javascripts/xccti/js/xc_webrtc.js")" type="text/javascript"></script>

    <script src="@routes.Assets.versioned("javascripts/dist/vendor.js")" type="text/javascript"></script>
